Index: configure.in
===================================================================
--- configure.in	(révision 3236)
+++ configure.in	(copie de travail)
@@ -158,6 +158,7 @@
     SOPREFIX='lib'
     LIBTOOL_EXPORT_OPTIONS=
     linklibext=".dll.a"
+    AC_CHECK_TOOL(WINDRES, windres, windres)
     AC_SUBST(WINDRES)
     ;;
 *-*-darwin*)
@@ -1119,7 +1120,11 @@
 dnl Check for readline/history
 dnl **************************
 if test x"$platform_win32" = "xyes"; then
-	AC_CHECK_LIB(readline, readline, READLINE_LIB='-lreadline', [])
+	if test $cross_compiling = yes; then
+  		AC_CHECK_LIB(readline, readline, READLINE_LIB='-lreadline', [])
+	else
+  		AC_CHECK_LIB(readline, readline, READLINE_LIB='-lreadline -lcurses', [], -lcurses)
+	fi
 else
 	AC_CHECK_LIB(readline, readline, READLINE_LIB='-lreadline -lcurses', [], -lcurses)
 fi
